## ros-lunar-pr2-gazebo-plugins 2.0.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(pr2_gazebo_plugins)

add_definitions(-fPIC)

# system dependencies
include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(XML libxml-2.0)
  pkg_check_modules(OGRE OGRE)
  pkg_check_modules(OGRE-Terrain OGRE-Terrain)
else()
  message(FATAL_ERROR "pkg-config is required; please install it")
endif()

# Depend on system install of Gazebo and SDFormat
find_package(gazebo REQUIRED)
pkg_check_modules(SDF sdformat REQUIRED)
#find_package(PCL REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(orocos_kdl)

# catkin dependencies
find_package(catkin
  REQUIRED COMPONENTS 
    angles
    cv_bridge
    diagnostic_msgs
    diagnostic_updater
    gazebo_msgs
    gazebo_plugins
    geometry_msgs
    image_transport
    message_generation 
    nav_msgs
    polled_camera
    pr2_controller_manager
    pr2_hardware_interface
    pr2_mechanism_model
    pr2_msgs
    roscpp
    rospy
    sensor_msgs
    std_msgs
    std_srvs 
    urdf
  #  pcl_ros
  #  pcl_conversions
)

# Generate msgs and srvs
add_message_files(
  DIRECTORY msg
  FILES
    PlugCommand.msg
    ModelJointsState.msg
)

add_service_files(
  DIRECTORY srv FILES
    SetModelsJointsStates.srv
)

generate_messages(
  DEPENDENCIES
    std_msgs
    nav_msgs
    sensor_msgs
    pr2_msgs
    geometry_msgs
    diagnostic_msgs
)

# declare catkin_package
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS 
    message_runtime
    message_generation
    roscpp 
    rospy 
    angles 
    std_msgs
    nav_msgs
    sensor_msgs
    pr2_msgs
    geometry_msgs
    diagnostic_msgs
    gazebo_msgs
    urdf 
    tf 
    image_transport 
  DEPENDS 
    GAZEBO
    SDF
    orocos_kdl
  LIBRARIES
    gazebo_ros_controller_manager
    gazebo_ros_power_monitor
)

include_directories(include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${OGRE-Terrain_INCLUDE_DIRS}
)

add_compile_options(${GAZEBO_CXX_FLAGS})

link_directories(
  ${GAZEBO_LIBRARY_DIRS}
  ${orocos_kdl_LIBRARY_DIRS}
)

# Gazebo ogre path setup
execute_process(COMMAND
  pkg-config --variable=plugindir OGRE
  OUTPUT_VARIABLE OGRE_PLUGIN_PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

# build libraries
add_library(gazebo_ros_controller_manager src/gazebo_ros_controller_manager.cpp)
add_dependencies(gazebo_ros_controller_manager
  ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(gazebo_ros_controller_manager ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_power_monitor src/gazebo_ros_power_monitor.cpp)
add_dependencies(gazebo_ros_power_monitor
  ${PROJECT_NAME}_generate_messages_cpp)
target_link_libraries(gazebo_ros_power_monitor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

# install libraries
install(
  TARGETS 
    gazebo_ros_controller_manager
    gazebo_ros_power_monitor
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# test for glx presence for testing
exec_program("glxinfo" OUTPUT_VARIABLE glx_out RETURN_VALUE glx_val)
if(${glx_val} EQUAL 0)
  message(STATUS "run test here")
else(${glx_val} EQUAL 0)
  message(STATUS "no test here")
endif(${glx_val} EQUAL 0)

=== debian/changelog ===
ros-lunar-pr2-gazebo-plugins (2.0.13-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 24 Apr 2019 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.12-1stretch) stretch; urgency=high

  * update travis.yml (#144 <https://github.com/PR2/pr2_simulator/issues/144>)
  * use GAZEBO_MAJOR_VERSION to switch 7(kinetic)/9(melodic)
  * fixes for compile with gazebo 9 (#143 <https://github.com/PR2/pr2_simulator/issues/143>)
  * Contributors: Dave Feil-Seifer, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 08 Apr 2019 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.11-1stretch) stretch; urgency=high

  * Merge pull request #140 <https://github.com/PR2/pr2_simulator/issues/140> from furushchev/fix-power-monitor
    fix gazebo_ros_power_monitor plugin
  * cleanup pr2_power_monitor plugin codes
  * fix to work gazebo_ros_power_monitor plugin
  * Contributors: Furushchev, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 20 Aug 2018 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.10-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 18 Mar 2018 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.9-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 18 Feb 2018 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.8-1stretch) stretch; urgency=high

  * Merge pull request #135 <https://github.com/pr2/pr2_simulator/issues/135> from k-okada/kinetic-devel
    fix more cmake warnings
  * fix warning on The dependency target pr2_gazebo_plugins_gencfg does not exists
  * fix compile error on catkin_package() DEPENDS on 'SDF' but neither 'SDF_INCLUDE_DIRS' nor...
  * Merge pull request #130 <https://github.com/pr2/pr2_simulator/issues/130> from k-okada/driver_base
    pr2_gazebo_plugins is no longer depend on driver_base
  * Merge pull request #128 <https://github.com/pr2/pr2_simulator/issues/128> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * pr2_gazebo_plugins is no longer depend on driver_base
  * change maintainer to ROS orphaned package maintainer
  * Merge pull request #120 <https://github.com/pr2/pr2_simulator/issues/120> from v4hn/missing_gazebo_flags
    add missing GAZEBO_CXX_FLAGS
  * add missing GAZEBO_CXX_FLAGS
    This is required to compile the plugins with Gazebo 7.
    add_compile_options requires cmake 2.8.12 which is around in ubuntu since 14.04.
  * Contributors: Devon Ash, Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 14 Feb 2018 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.5-1stretch) stretch; urgency=high

  * Removed dependency on PCL for pr2_Gazebo_plugins
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 13 Mar 2015 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.4-1stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 11 Feb 2015 00:00:00 -0000

ros-lunar-pr2-gazebo-plugins (2.0.3-1stretch) stretch; urgency=high

  * Changelogs
  * Changelogs
  * Contributors: TheDash
  * Changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 07 Oct 2014 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-pr2-gazebo-plugins
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), gazebo7, ros-lunar-angles, ros-lunar-catkin, ros-lunar-cv-bridge, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-gazebo-msgs, ros-lunar-gazebo-plugins, ros-lunar-geometry-msgs, ros-lunar-image-transport, ros-lunar-message-generation, ros-lunar-message-runtime, ros-lunar-nav-msgs, ros-lunar-orocos-kdl, ros-lunar-polled-camera, ros-lunar-pr2-controller-manager, ros-lunar-pr2-hardware-interface, ros-lunar-pr2-mechanism-model, ros-lunar-pr2-msgs, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf, ros-lunar-urdf
Homepage: http://ros.org/wiki/pr2_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-lunar-pr2-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, ros-lunar-angles, ros-lunar-cv-bridge, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-gazebo-msgs, ros-lunar-gazebo-plugins, ros-lunar-gazebo-ros, ros-lunar-geometry-msgs, ros-lunar-image-transport, ros-lunar-message-generation, ros-lunar-message-runtime, ros-lunar-nav-msgs, ros-lunar-orocos-kdl, ros-lunar-polled-camera, ros-lunar-pr2-controller-manager, ros-lunar-pr2-hardware-interface, ros-lunar-pr2-mechanism-model, ros-lunar-pr2-msgs, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-urdf
Description: Gazebo Plugins for various PR2-specific sensors and actuators on the robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pr2-gazebo-plugins//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
